### Method

# Soup MessageBody flatten

#### Declaration [src]

    GBytes*
    soup_message_body_flatten (
      SoupMessageBody* body
    )

#### Description [src]

Fills in `body`‘s data field with a buffer containing all of the data in `body`.

Adds an additional `\0` byte not counted by `body`‘s length field.

#### Return value

Type: `GBytes`

A `GBytes` containing the same data as `body`. (You must `g_bytes_unref()` this if you do not want it.)

The caller of the method takes ownership of the data, and is responsible for freeing it.